/**
 * @file
 * Behaviors for the tabs.
 */

!(function(Drupal, once) {
  'use strict';
  /* global once */

  /**
   * Setup and attach the tabs component behaviors.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.localTaskbar = {
    attach (context) {
      const tabsComponents = once('tabsInit', '.tabs__toggle', context);
      if (tabsComponents.length) {
        tabsComponents.forEach(toggler => {
          toggler.addEventListener('click', () => {
            this.toggleTabs(toggler);
          });
          toggler.addEventListener('keypress', (e) => {
            if (e.keyCode === 13 || e.keyCode === 32) {
              this.toggleTabs(toggler);
            }
          });
        });
      }
    },

    toggleTabs(toggler) {
      const container = toggler.closest('.local__tasks');
      container.classList.toggle('minimized');
    }
  };
})(Drupal, once);
