<?php

declare(strict_types=1);

namespace Drupal\local_taskbar\Hook;

use Drupal\Core\Hook\Attribute\Hook;

/**
 * Theme hook.
 */
class LocalTaskBarHooks {

  /**
   * Implements hook_theme().
   */
  #[Hook('theme')]
  public function theme($existing, $type, $theme, $path): array {
    $moduleHandler = \Drupal::service('extension.path.resolver');
    $templatePath = $moduleHandler->getPath('module', 'local_taskbar') . '/templates';
    return [
      'block__local_tasks_block' => [
        'template' => 'block--local-tasks-block',
        'render element' => 'elements',
        'path' => $templatePath,
      ],
    ];
  }

  #[Hook('theme_suggestions_block_alter')]
  public function themeSuggestionsBlockAlter(array &$suggestions, array $variables) {
    if ($variables['elements']['#plugin_id'] === 'local_tasks_block') {
      $suggestions[] = 'block__local_tasks_block';
    }
  }

}
